package com.muyu.enterprise.cache.fault;

import com.muyu.common.cache.CacheAbsBasic;
import com.muyu.domain.FaultCode;
import com.muyu.domain.resp.CarFenceResp;

/**
 * 故障码缓存
 * @Author：yang
 * @Package：com.muyu.cache
 * @Project：cloud-server-8
 * @name：VehicleCacheService
 * @Date：2024/9/30 11:50
 */
public class VehicleCacheFaultService extends CacheAbsBasic<String, FaultCode> {
    @Override
    public String keyPre() {
        return "FaultCode:info:";
    }

    @Override
    public String decode(String key) {
        return key.replace("vehicle:info:","");
    }
}
